#
# spec file for package rubygem-ruby-dbus
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-ruby-dbus
Version:        0.14.0
Release:        1.27
%define mod_name ruby-dbus
%define mod_full_name %{mod_name}-%{version}
# MANUAL
BuildRequires:  %{rubygem nokogiri > 1.6}
BuildRequires:  %{rubygem packaging_rake_tasks}
BuildRequires:  %{rubygem rake}
BuildRequires:  %{rubygem rspec}
BuildRequires:  dbus-1
BuildRequires:  netcfg
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.0.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            https://trac.luon.net/ruby-dbus
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Ruby module for interaction with D-Bus
License:        LGPL-2.1
Group:          Development/Languages/Ruby

%description
Pure Ruby module for interaction with D-Bus IPC system.

%prep

%build

%install
%gem_install \
  --doc-files="COPYING NEWS.md README.md" \
  -f

# MANUAL
%check
(pushd %{buildroot}%{gem_base}/gems/%{mod_full_name} && rake test)
#/ MANUAL

%gem_packages

%changelog
* Fri Oct 13 2017 mvidner@suse.com
- 0.14.0
  Bug fixes:
  * Sending 16-bit signed integers ("n") did not work at all
  (gh#mvidner/ruby-dbus#68).
  Requirements:
  * Stopped supporting ruby 2.0.0, because of Nokogiri.
* Wed Sep 21 2016 mvidner@suse.com
- 0.13.0
  Bug fixes:
  * It is no longer required to explicitly call ProxyObject#introspect,
  it will be done automatically once (gh#mvidner/ruby-dbus#28).
* Mon Sep 12 2016 mvidner@suse.com
- 0.12.0
  API:
  * Added proxy objects whose methods return single values instead of arrays
  (use Service#[] instead of Service#object; Issue#30).
  Requirements:
  * Require ruby 2.0.0, stopped supporting 1.9.3.
* Sun Sep 11 2016 mvidner@suse.com
- 0.11.2:
  Bug fixes:
  * Fixed reading a quoted session bus address, as written by dbus-1.10.10
  (Yasuhiro Asaka)
* Thu May 12 2016 mvidner@suse.com
- 0.11.1
  Bug fixes:
  * Fix default path finding on FreeBSD (Greg)
  * Service#unexport fixed to really return the unexported object
  Requirements:
  * made tests compatible with RSpec 3
* Thu Oct 16 2014 coolo@suse.com
- adapt to new rubygem packaging
* Mon Feb 17 2014 mvidner@suse.com
- 0.11.0
  API:
  * Connection: split off MessageQueue, marked other methods as private.
  Requirements:
  * converted tests to RSpec, rather mechanically for now
* Fri Jan 10 2014 mvidner@suse.com
- 0.10.0
  Bug fixes:
  * fixed "Interfaces added with singleton_class.instance_eval aren't
  exported" (Issue#22, by miaoufkirsh)
  Requirements:
  * Require ruby 1.9.3, stopped supporting 1.8.7.
* Thu Jan  2 2014 mvidner@suse.com
- 0.9.3
  Bug fixes:
  * re-added COPYING, NEWS, README.md to the gem (Issue#47,
  by Cédric Boutillier)
  Packaging:
  * use packaging_rake_tasks
* Wed May  8 2013 mvidner@suse.com
- 0.9.2
  Features:
  * Ruby strings can be passed where byte arrays ("ay") are expected
  (Issue#40, by Jesper B. Rosenkilde)
  Bug fixes:
  * Fixed accessing ModemManager properties (Issue#41, reported
  by Ernest Bursa). MM introspection produces two elements
  for a single interface; merge them.
* Mon Apr 29 2013 mvidner@suse.cz
- fixed build: unspecify port and address family
* Tue Apr 23 2013 mvidner@suse.cz
- 0.9.1
  Bug fixes:
  * Prefer /etc/machine-id to /var/lib/dbus/machine-id
  when DBUS_SESSION_BUS_ADDRESS is unset (Issue#39, by WU Jun).
- BTW netcfg did not help. Using 127.0.0.1 in upstream now.
* Tue Apr 16 2013 mvidner@suse.cz
- BuildRequire netcfg to fix tests failing with
  'Failed to lookup host/port: "localhost:0"'
* Tue Nov  6 2012 mvidner@suse.cz
- 0.9.0
  Features:
  * When calling methods, the interface can be left unspecified if unambiguous
  (Damiano Stoffie)
  * YARD documentation, Reference.md
  Bug fixes:
  * Introspection attribute "direction" can be omitted
  as allowed by the specification (Noah Meyerhans).
  * ProxyObjectInterface#on_signal no longer needs the "bus" parameter
  (Issue#31, by Damiano Stoffie)
* Thu Sep 20 2012 mvidner@suse.cz
- 0.8.0
  Features:
  * Add Anonymous authentication (Issue#27, by Walter Brebels).
  * Use Nokogiri for XML parsing when available (Issue#24, by Geoff Youngs).
  Bug fixes:
  * Use SCM_CREDS authentication only on FreeBSD, not on OpenBSD (Issue#21,
  reported by Adde Nilsson).
  * Recognize signature "h" (UNIX_FD) used eg. by Upstart (Issue#23,
  by Bernd Ahlers).
  * Find the session bus also via launchd, on OS X (Issue#20, reported
  by Paul Sturgess).
* Thu Apr  5 2012 mvidner@suse.cz
- 0.7.2, a bugfix release
  * Fixed "undefined local variable or method `continue'" in
  DBus::Main#run when a service becomes idle (by Ravil Bayramgalin)
* Wed Apr  4 2012 mvidner@suse.cz
- 0.7.1, a bugfix release
  * Fixed calling asynchronous methods on the default interface (Issue#13,
  by Eugene Korbut).
  * Fixed Main#quit to really quit the loop (by Josef Reidinger)
  * Unbundled files from Active Support (by Bohuslav Kabrda)
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Mon Jul 25 2011 mvidner@suse.cz
- 0.7.0, a bugfix release
  * Added ASystemBus and ASessionBus, non-singletons useful in tests
  and threads.
  * Fixed handling of multibyte strings (Issue#8, by Takayuki YAMAGUCHI).
  * Allow reopening of a dbus_interface declaration (Issue#9, by T. YAMAGUCHI).
  * Fixed ruby-1.9.2 compatibility again (Issue#12).
  * Fixed authentication on BSD (Issue#11, by Jonathan Walker).
  * Fixed exiting a nested event loop for synchronous calls
  (reported by Timo Warns).
  * Fixed introspection calls leaking reply handlers.
  * "rake test" now works, doing what was called "rake env:test"
- updated the spec from a current template to build doc and
  testsuite subpackages
* Fri Dec 10 2010 mvidner@suse.cz
- 0.6.0
  * Clients can access properties conveniently (Ticket#28).
  * Service won't crash whan handling an unknown method or interface (Ticket#31).
  * Don't send an invalid error name when it originates from a NameError.
* Wed Nov 10 2010 mvidner@suse.cz
- really Provide+Obsolete ruby-dbus.rpm.
* Sun Nov  7 2010 mvidner@suse.cz
- 0.5.0
  * Better binding of Ruby Exceptions to D-Bus Errors.
  * Converted the package to a Gem (Issue#6).
  * Converted the tutorial from Webgen to Markdown.
  * Don't pass file descriptors to subprocesses.
  * Fixed InterfaceElement::validate_name (Ticket#38, by Herwin Weststrate).
  * Fixed a typo in InvalidDestinationName description (Ticket#40).
- rubygem-ruby-dbus.rpm obsoletes ruby-dbus.rpm
* Fri Aug 20 2010 mvidner@suse.cz
- 0.4.0
  * TCP transport (by pangdudu)
  * Enabled test code coverage report (rcov)
  * Classes should not share all interfaces (Ticket#36/Issue#5)
  * Ruby 1.9 compatibility (Ticket#37, by Myra Nelson)
- require rake for building
* Thu Jul 22 2010 mvidner@suse.cz
- 0.3.1
  * Many on_signal could cause DBus.Error.LimitsExceeded bnc#617350).
  Don't add a match rule that already exists, enable removing match
  rules. Now only one handler for a rule is called (but it is possible
  for one signal to match more rules). This reverts the half-fix done
  to fix Issue#3
  * Re-added InterfaceElement#add_param for compatibility.
  * Handle more ways which tell us that a bus connection has died.
* Sun Mar 28 2010 mvidner@novell.com
- 0.3.0
  * Automatic signature inference for variants.
  * Introduced FormalParameter where a plain pair had been used.
  * Fixed "undefined method `get_node' for nil:NilClass"
  on Ubuntu Karmic (Ticket#34).
  * Get the session bus address even if unset in ENV (Issue#4).
  * Avoid needless DBus::IncompleteBufferException (Ticket#33).
  * Don't ignore DBus Errors in request_service, raise them (Ticket#32).
- took the patches upstream
* Tue Feb 23 2010 kkaempf@novell.com
- bump version to 0.2.12.1
* Fri Feb 19 2010 kkaempf@novell.com
- add the name in error to InvalidMethodName
- make the signal dispatcher call all handlers (bnc#580935)
- don't process an empty buffer
* Thu Feb  4 2010 kkaempf@novell.com
- Define Integer.ord for Ruby < 1.8.7
* Sun Jan 24 2010 mvidner@suse.cz
- 0.2.12
  * Fixed a long-standing bug where a service activated by the bus
    would fail with "undefined method get_node' for nil:NilClass"
    (Tickets#25 and #29).
* Thu Nov 12 2009 mvidner@suse.cz
- 0.2.11
  * Added DBus::Service#unexport (da1l6).
  * Return org.freedesktop.DBus.Error.UnknownObject instead of crashing
  (Ticket#31).
  * Rescue exceptions in dbus_methods and reply with DBus errors instead of
  crashing (da1l6).
  * Better exception messages when sending nil, or mismatched structs.
  * Call mktemp without --tmpdir, to build on older distros.
- Undo the misguided BuildRequires dbus-1-devel
* Sat Sep 26 2009 kkaempf@suse.de
- BuildRequires dbus-1-devel
* Thu Sep 10 2009 mvidner@suse.cz
- DBus::Service.exists? fixed (Murat Demirten).
- Ruby 1.9 fixes (Jedediah Smith).
- Fixed an endless sleep in DBus::Main.run (bnc#537401).
- Added details to PacketMarshaller exceptions (bnc#538050).
- 0.2.10
* Wed Aug 26 2009 mvidner@suse.cz
- Released a new tarball. New changes:
  - Added DBus::Main.quit.
  - Mention the DBus interface in a NameError for an unknown method.
  - Fixed ruby-1.9 "warning: default `to_a' will be obsolete".
- 0.2.9
* Tue Jul  7 2009 mvidner@suse.cz
- added patch from http://github.com/mvidner/ruby-dbus, since r160
  to yesterday, obsoleting the Jun 18 patch.
  - Fixed passing an array through a variant.
  - Fixed marshalling "av" (Ticket #30).
  - Fixed variant alignment (Ticket #27).
- 0.2.1.3
* Mon Jun 29 2009 jreidinger@suse.cz
- increase version to 0.2.1.2 to use this package instead from one
  from another repository that just rebuild due to dependencies
- 0.2.1.2
* Thu Jun 18 2009 jreidinger@suse.cz
- add patch that prevent crash during  receiving array of variants
* Mon Sep  8 2008 mrueckert@suse.de
- added ruby-dbus-0.2.1_to_trunk.patch:
  pull in latest changes from trunk
* Mon Sep  8 2008 mrueckert@suse.de
- initial package of version 0.2.1
